%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         inconshreveable
%global repo            muxado
# https://github.com/inconshreveable/muxado
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          f693c7e88ba316d1a0ae3e205e22a01aa3ec2848
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        0.1.git%{shortcommit}%{?dist}
Summary:        Stream multiplexing for Go
License:        ASL 2.0
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz

%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}
%package devel
Summary:       %{summary}
BuildRequires: golang >= 1.2.1-3
Provides:      golang(%{import_path}) = %{version}-%{release}
Provides:      golang(%{import_path}/proto) = %{version}-%{release}
Provides:      golang(%{import_path}/proto/buffer) = %{version}-%{release}
Provides:      golang(%{import_path}/proto/ext) = %{version}-%{release}
Provides:      golang(%{import_path}/proto/frame) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}/

# copy directories
for file in ./* ; do
    if [ -d $file ]; then
        cp -rpav $file %{buildroot}%{gopath}/src/%{import_path}/
    fi
done

%check
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/proto
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/proto/buffer
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/proto/frame

%files devel
%if 0%{?fedora}
%license LICENSE
%doc README.md
%else
%doc README.md LICENSE
%endif
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Wed Apr 15 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.gitf693c7e
- First package for Fedora
  resolves: #1212119
